using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATHistoryParameter")]
public partial class AthistoryParameter
{
    [Key]
    public int HistoryParameterId { get; set; }

    public int HistoryId { get; set; }

    public int HistoryParameterType { get; set; }

    [StringLength(255)]
    public string HistoryParameter { get; set; } = null!;

    [ForeignKey("HistoryId")]
    [InverseProperty("AthistoryParameters")]
    public virtual Athistory History { get; set; } = null!;
}
